Bug 443960 - pam_gnome_keyring must have use_authtok option
pam_gnome_keyring must have use_authtok option
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 08:28 EDT by Tomas Mraz
Modified: 2015-03-03 17:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-09 00:41:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 587164 None None None Never

  None (edit)
Description Tomas Mraz 2008-04-24 08:28:33 EDT
pam_gnome_keyring.so module must recognize the use_authtok option in
pam_sm_chauthtok. When this option is specified it must not ask for the new
password through the conversation function. It must just try to get it by
pam_get_item(pamh, PAM_AUTHTOK,...). If the returned item is NULL it should fail
with the PAM_AUTHTOK_RECOVERY_ERR.
The module should also call pam_set_item(pamh, PAM_AUTHTOK, NULL) in case it is
failing due to other reasons.
Comment 1 Matthias Clasen 2008-04-24 18:28:23 EDT
Hmm, I cannot find any trace of use_authtok in /usr/include/security/*

Can you point me at an example ?
Comment 2 Tomas Mraz 2008-04-25 03:04:18 EDT
use_authtok should be an config file option of the module (in /etc/pam.d/...)
(other modules such as pam_unix or pam_cracklib) accept this option as well.
Comment 3 Bug Zapper 2008-05-14 06:03:58 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 20:24:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Matthias Clasen 2009-06-28 14:42:33 EDT
Tomas, can you look at the patch that has been attached to the upstream bug http://bugzilla.gnome.org/show_bug.cgi?id=587164 ? 

The upstream maintainer is asking for some 'pam expert review'...
Comment 6 Tomas Mraz 2009-06-29 06:19:54 EDT
Commented in the upstream bugzilla.
Comment 7 Matthias Clasen 2009-07-09 00:41:47 EDT
Committed upstream, will be in rawhide in a bit.

Note You need to log in before you can comment on or make changes to this bug.